aboutsummaryrefslogtreecommitdiff
path: root/env/.local/bin/system/stbar
diff options
context:
space:
mode:
Diffstat (limited to 'env/.local/bin/system/stbar')
-rw-r--r--env/.local/bin/system/stbar/config.txt1
-rwxr-xr-xenv/.local/bin/system/stbar/killbar.sh10
-rwxr-xr-xenv/.local/bin/system/stbar/stbar-awesome.sh87
-rwxr-xr-xenv/.local/bin/system/stbar/stbar.sh84
-rwxr-xr-xenv/.local/bin/system/stbar/weth_str.txt0
5 files changed, 182 insertions, 0 deletions
diff --git a/env/.local/bin/system/stbar/config.txt b/env/.local/bin/system/stbar/config.txt
new file mode 100644
index 0000000..87af9d5
--- /dev/null
+++ b/env/.local/bin/system/stbar/config.txt
@@ -0,0 +1 @@
+full_stat:false
diff --git a/env/.local/bin/system/stbar/killbar.sh b/env/.local/bin/system/stbar/killbar.sh
new file mode 100755
index 0000000..7e76af2
--- /dev/null
+++ b/env/.local/bin/system/stbar/killbar.sh
@@ -0,0 +1,10 @@
+pids=$(ps -AO pid | awk '/stbar.sh|newsboat-fetch.sh/ {print $1}')
+# pids=$(pstree -pla | grep stbar | sed 's,|,,g' | sed 's/ //g' | sed 's/^ //g' | sed 's/ .*//' | sed 's/[^0-9]*//g')
+# pids2=$(ps -AO pid | grep "sh ./newsboat-fetch.sh" | sed 's/S.*//g' | sed 's/^ *//g')
+
+
+echo $pids
+$(sleep 3 && xsetroot -name "") & disown
+
+sudo kill -KILL $pids
+doas kill -KILL $pids
diff --git a/env/.local/bin/system/stbar/stbar-awesome.sh b/env/.local/bin/system/stbar/stbar-awesome.sh
new file mode 100755
index 0000000..ef9ecca
--- /dev/null
+++ b/env/.local/bin/system/stbar/stbar-awesome.sh
@@ -0,0 +1,87 @@
+#!/bin/bash
+delim='|'
+
+curr_dir="$(cd "$(dirname "$0")" && pwd)"
+#wifi_device=$(cat $curr_dir/config.txt | grep wifi_device | sed 's/wifi_device://')
+wifi_device="wlan0"
+# curr_dir/check_weth.sh "$cur_dir" &
+
+
+
+status(){
+
+echo " "
+
+#wifi up or no
+sed "s/down/\:\(/;s/up/\:\)/" /sys/class/net/$wifi_device/operstate
+
+echo "$delim"
+
+if [ "$(ls /sys/class/power_supply/BAT0/)" ]; then
+ bat_power=$(cat /sys/class/power_supply/BAT0/capacity)
+
+ echo $bat_is_flash
+ if (( $bat_power < 15 )); then
+ bat_power=$bat_power%!!!!!!!!!!!
+ else
+ bat_power=$bat_power%
+ fi
+
+ echo $bat_power
+
+ echo "$delim"
+fi
+
+#mic
+
+[ "$(pactl get-source-mute @DEFAULT_SOURCE@)" == "Mute: no" ] && echo  || echo 󰍭
+
+echo "$delim"
+
+#rss
+
+echo  $(newsboat -x print-unread|sed "s/\s.*//; s/Error:/IA/")
+
+echo "$delim"
+
+if [ "$(cat $curr_dir/config.txt | grep full_stat)" == "full_stat:true" ]; then
+ #cpu
+ echo  $(ps axch -o cmd:15,%cpu --sort=-%cpu | sed "1q")%
+
+ echo "$delim"
+
+ #mem
+ echo  $(free -mlw | grep Mem: | sed "s/Mem\:\W*[0-9]*\W*//; s/ .*//")
+ echo $(ps axch -o cmd:15,%mem --sort=-%mem | sed "1q")%
+
+else
+ #cpu
+ echo  $(ps axch -o cmd:15,%cpu --sort=-%cpu | sed "1q" | sed 's/.* //')%
+
+ #mem
+ echo  $(free -mlw | grep Mem: | sed "s/Mem\:\W*[0-9]*\W*//; s/ .*//")
+
+fi
+echo "$delim"
+
+#space
+#echo \/$(df -h | grep /dev/nvme0n1p3 | sed "s/\/dev\/nvme0n1p3 *[0-9]*.[0-9]*. *[0-9]*.[0-9]*. *//" | sed "s/ .*//")
+
+#echo \~$(df -h | grep /dev/nvme0n1p4 | sed "s/\/dev\/nvme0n1p4 *[0-9]*.[0-9]*. *[0-9]*.[0-9]*. *//" | sed "s/ .*//")
+echo  $(df -h -x=used /dev/mapper/artix-root | sed '1d' | awk '{print $4}'| sed 's/[^0-9]*//g')
+
+echo "$delim"
+
+#weather
+
+if [ "$(cat $curr_dir/weth_str.txt)" != "" ]; then
+ printf "$(cat $curr_dir/weth_str.txt)"
+ echo "$delim"
+fi
+
+}
+
+#while :; do
+ echo "$(status | tr '\n' ' '0)"
+# sleep 1s
+#end
diff --git a/env/.local/bin/system/stbar/stbar.sh b/env/.local/bin/system/stbar/stbar.sh
new file mode 100755
index 0000000..6ca704d
--- /dev/null
+++ b/env/.local/bin/system/stbar/stbar.sh
@@ -0,0 +1,84 @@
+#!/bin/bash
+delim='|'
+
+curr_dir="$(cd "$(dirname "$0")" && pwd)"
+wifi_device=$(cat $curr_dir/config.txt | grep wifi_device | sed 's/wifi_device://')
+# curr_dir/check_weth.sh "$cur_dir" &
+
+
+
+status(){
+
+echo " "
+
+#wifi up or no
+sed "s/down/\:\(/;s/up/\:\)/" /sys/class/net/$wifi_device/operstate
+
+echo "$delim"
+
+#bat
+bat_power=$(cat /sys/class/power_supply/BAT0/capacity)
+
+echo $bat_is_flash
+if (( $bat_power < 15 )); then
+ bat_power=$bat_power%!!!!!!!!!!!
+else
+ bat_power=$bat_power%
+fi
+
+echo $bat_power
+
+echo "$delim"
+
+#rss
+
+echo RSS:$(newsboat -x print-unread|sed "s/\s.*//; s/Error:/IA/")
+
+echo "$delim"
+
+if [ "$(cat $curr_dir/config.txt | grep full_stat)" == "full_stat:true" ]; then
+ #cpu
+ echo CPU:$(ps axch -o cmd:15,%cpu --sort=-%cpu | sed "1q")%
+
+ echo "$delim"
+
+ #mem
+ echo Mem:$(free -mlw | grep Mem: | sed "s/Mem\:\W*[0-9]*\W*//; s/ .*//")
+ echo $(ps axch -o cmd:15,%mem --sort=-%mem | sed "1q")%
+
+else
+ #cpu
+ echo CPU:$(ps axch -o cmd:15,%cpu --sort=-%cpu | sed "1q" | sed 's/.* //')%
+
+ #mem
+ echo Mem:$(free -mlw | grep Mem: | sed "s/Mem\:\W*[0-9]*\W*//; s/ .*//")
+
+fi
+echo "$delim"
+
+#space
+echo \/$(df -h | grep /dev/nvme0n1p3 | sed "s/\/dev\/nvme0n1p3 *[0-9]*.[0-9]*. *[0-9]*.[0-9]*. *//" | sed "s/ .*//")
+
+echo \~$(df -h | grep /dev/nvme0n1p4 | sed "s/\/dev\/nvme0n1p4 *[0-9]*.[0-9]*. *[0-9]*.[0-9]*. *//" | sed "s/ .*//")
+
+echo "$delim"
+
+#weather
+
+if [ "$(cat $curr_dir/weth_str.txt)" != "" ]; then
+ printf "$(cat $curr_dir/weth_str.txt)"
+ echo "$delim"
+fi
+
+
+#date
+date '+%a %m/%d/%Y %I:%M%p'
+
+}
+
+
+while :; do
+ xsetroot -name "$(status | tr '\n' ' '0)"
+ sleep 1s
+done
+
diff --git a/env/.local/bin/system/stbar/weth_str.txt b/env/.local/bin/system/stbar/weth_str.txt
new file mode 100755
index 0000000..e69de29
--- /dev/null
+++ b/env/.local/bin/system/stbar/weth_str.txt